Subject: bug#48762: Bug in guix installer (seems to be unable to create swap) - reproducable

From: "Andrew \"Truck\" Holland" <[email-masked]>
Date: Mon, 31 May 2021 16:44:23 +0300

I have attempted to install 1.3.0 from the iso, but the "guided"
install encounters an error after partitioning; which if I read
correctly, indicates swap cannot be created.

This happens when I use _any_ partitioning scheme, manual or
automatic.

The command 'mkswap -f /dev/sda3' executes correctly from the shell
session on tty3 from the installer.

Sadly, this is also fatal and the installation cannot continue, so
I'm a bit surprized no one has reported this - as I can recreate
this situation reliably every time I attempt it.  (Maybe I just am
blind and cannot find the bug report at the guix bug tracker, if
so, my apologies for the duplicate.)

Error file attached.
---